Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.support
Class OutputPayloadInterceptor

    java.lang.Object
      org.apache.cxf.phase.AbstractPhaseInterceptor<org.apache.cxf.message.Message>
          org.apache.cxf.interceptor.AbstractOutDatabindingInterceptor
              org.mule.module.cxf.support.OutputPayloadInterceptor

All Implemented Interfaces:
  org.apache.cxf.interceptor.Interceptor<org.apache.cxf.message.Message>, org.apache.cxf.phase.PhaseInterceptor<org.apache.cxf.message.Message>

    public class OutputPayloadInterceptor

extends org.apache.cxf.interceptor.AbstractOutDatabindingInterceptor

Field Summary

Fields inherited from class org.apache.cxf.interceptor.AbstractOutDatabindingInterceptor
`DISABLE_OUTPUTSTREAM_OPTIMIZATION, OUT_BUFFERING`

Constructor Summary
`OutputPayloadInterceptor()`

Method Summary
`protected Object` | `getDelayedResultCallback(DelayedResult r)`
`void` | `handleMessage(org.apache.cxf.message.Message message)`

Methods inherited from class org.apache.cxf.interceptor.AbstractOutDatabindingInterceptor
`getDataWriter, getXMLStreamWriter, isBufferingEnabled, isRequestor, shouldValidate, writeParts, writeToOutputStream`

Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor
`addAfter, addAfter, addBefore, addBefore, getAfter, getBefore, getId, getPhase, handleFault, isGET, setAfter, setBefore`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputPayloadInterceptor

    public OutputPayloadInterceptor()

Method Detail

### handleMessage

    public void handleMessage(org.apache.cxf.message.Message message)
                       throws org.apache.cxf.interceptor.Fault

  Throws:
    `org.apache.cxf.interceptor.Fault`

### getDelayedResultCallback

    protected Object getDelayedResultCallback(DelayedResult r)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.